PANTRYD(1)

NAME
pantryd - nutrient tracking and analysis server

SYNOPSIS

pantryd [options...]

DESCRIPTION

pantryd is the server with which pantry communicates. pantryd must be running in order for any pantry commands to work.

To start a server, simply execute pantryd. This will start a new server in the background, returning you to your command prompt. This server will keep running even if you logout of the shell from which you started the server. To kill the server, run pantry --quit.

OPTIONS

--foreground, -f
    Run server in the foreground (useful for debugging)

--help, -h
    Show brief help and exit

ENVIRONMENT VARIABLES

PANTRY_SOCKET
    If this environment variable is specified, pantryd will use the path contained therein as the filename of the socket where it will listen for connections. PANTRY_SOCKET should contain the entire path (beginning with / ) and filename, not just the directory for the socket. To communicate with the server, you'll need to make sure that subsequent invocations of pantry also have their PANTRY_SOCKET environment variable set to an identical value.

    If this environment variable is not specified, pantryd will listen for connections on a socket named $HOME/.pantrySocket.

BUGS

Report any bugs to <omari@smileystation.com>.

PANTRY HOME PAGE

http://www.smileystation.com/pantry

AUTHOR

Omari Norman

    Author.

COPYRIGHT
Copyright © 2007-2008 Omari Norman